import { j as o, B as T, C as E, k as _, l as d, m as S, n as f, o as j, q as k } from "./main-BINuQ9na.js";
import { j as O } from "./jsx-runtime-OVHDjVDe.js";
import { C as e } from "./css-BYwooBtA.js";
const v = ({
  itemKey: t,
  className: n,
  onClick: s,
  size: a,
  ...r
}) => {
  const { onClick: l, selected: c, level: C = "p", gap: i, background: u } = o(), m = (x) => {
    l(t), s?.(x);
  }, p = c === t;
  return /* @__PURE__ */ O.jsx(
    T,
    {
      contrast: u,
      level: C,
      overflow: "nowrap",
      onClick: m,
      variant: "text",
      className: e(e.B("menu-item"), e.selected(p), n),
      size: a,
      gap: i,
      ...r
    }
  );
}, g = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  CONTEXT_MENU_CLASS: E,
  CONTEXT_SELECTED: _,
  CONTEXT_TARGET: d,
  ContextMenu: S,
  Divider: f,
  Item: v,
  Menu: j,
  useContext: o,
  useContextMenu: k
}, Symbol.toStringTag, { value: "Module" }));
export {
  g as e
};
